Package org.apache.sling.caconfig.spi

## Interface ConfigurationOverrideProvider

    @ConsumerType
    public interface ConfigurationOverrideProvider

Provide information to override configuration data.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull Collection<String>` `getOverrideStrings()` Get override strings.

### Method Detail

#### getOverrideStrings

    @NotNull
    @NotNull Collection<String> getOverrideStrings()

Get override strings. Syntax examples:

- `{configName}/{propertyName}={propertyJsonValue}`
- `{configName}={propertyJsonObject}`
- `[{contextPath}]{configName}/{propertyName}={propertyJsonValue}`
- `[{contextPath}]{configName}={propertyJsonObject}`

Returns:
  Override strings